Bucketed activity series for the workspace
curl --request GET \
--url https://app.hookie.ai/admin/api/dashboard/timeseries \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/dashboard/timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/dashboard/timeseries"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"window": "24h",
"metric": "events",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"bucket_ms": 123,
"values": [
123
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Dashboard
Bucketed activity series for the workspace
Workspace-wide, not project-scoped. Readable by any role.
GET
/
admin
/
api
/
dashboard
/
timeseries
Bucketed activity series for the workspace
curl --request GET \
--url https://app.hookie.ai/admin/api/dashboard/timeseries \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/dashboard/timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/dashboard/timeseries"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"window": "24h",
"metric": "events",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"bucket_ms": 123,
"values": [
123
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Query Parameters
Time window. Defaults to 7d.
Available options:
24h, 7d, 30d Which table to count. Defaults to events.
Available options:
events, deliveries, agent_runs Response
Equal-width buckets ending now. 24h and 7d are hourly (24 and 168 buckets); 30d is daily (30 buckets). At most 50000 raw timestamps are scanned per request.